import request from '@/utils/request'

// 查询直播间用户列表
export function watchUserList(query) {
  return request({
    url: '/live/liveWatchUser/watchUserList',
    method: 'get',
    params: query
  })
}

// 直播间用户禁言
export function changeUserStatus(query) {
  return request({
    url: '/live/liveWatchUser/changeUserState',
    method: 'put',
    params: query
  })
}

// 直播间用户禁言
export function blockUser(query) {
  return request({
    url: '/live/liveWatchUser/blockUser/' + query,
    method: 'get',
  })
}
